/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: DatabaseAccessException.java,v 1.2 2005/09/07 13:38:06 rampil Exp $
 */
package org.logical_paradox.vsan.node;

/**
 * データベースアクセス例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class DatabaseAccessException extends Exception {
	/** エラーコード */
	private int errorCode;

	/**
	 * コンストラクタ
	 * @param cd エラーコード
	 */
	public DatabaseAccessException(int cd) {
		super();
		setErrorCode(cd);
	}
	/**
	 * コンストラクタ
	 * @param cd エラーコード
	 * @param msg エラーメッセージ
	 */
	public DatabaseAccessException(int cd, String msg) {
		super(msg);
		setErrorCode(cd);
	}
	/**
	 * コンストラクタ
	 * @param cd エラーコード
	 * @param e エラーメッセージ
	 */
	public DatabaseAccessException(int cd, Exception e) {
		super(e);
		setErrorCode(cd);
	}
	/**
	 * エラーコードを設定する
	 * @param ec エラーコード
	 */
	protected void setErrorCode(int ec) {
		errorCode = ec;
	}
	/**
	 * エラーコードを返す
	 * @return エラーコード
	 */
	public int getErrorCode() {
		return errorCode;
	}
}
